gcal (4.1-4) unstable; urgency=medium

  [ janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Fix day-of-week for changelog entry 3.01.1-10.
  * Update standards version to 4.6.0, no changes needed.

  [ Thorsten Alteholz ]
  * Update standards version to 4.7.2, no changes needed.
  * debian/control: add Rules-Requires-Root: no
  * debian/control: depend on libncurses-dev now

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 20 Aug 2025 12:18:45 +0200

gcal (4.1-3) sid; urgency=medium

  * debian/control: bump version to 4.3.0 (no changes needed)
  * debian/control: add salsa VCS URLs
  * debian/rules: remove autotools-dev from dh statement

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Jan 2019 19:18:45 +0100

gcal (4.1-2) unstable; urgency=medium

  * debian/patches: avoid FTBFS with glibc 2.28 (Closes: #915176)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Dec 2018 21:18:45 +0100

gcal (4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #787606, #833273)
  * debian/control: bump version to 4.1.4 (no changes needed)
  * debian/control: use dh11
  * debian/control: remove dependency on autotools-dev
  * debian/patches: remove gets.patch (applied upstream)
  * debian/rules: remove get-orig-source
  * Fix FTCBFS: Configure only once and let dh_auto_configure do it.
    Thanks to Helmut Grohne for the patch (Closes: #890336)
  * Fix for missing holiday: Feast of Corpus Christi
    Thanks to Klaus Singvogel for the patch (Closes: #823935)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Aug 2018 21:18:45 +0200

gcal (3.6.3-3) unstable; urgency=low

  * apply patch from Logan Rosen <logan@ubuntu.com> to use autotools-dev
    (debian/control, debian/rules) (Closes: #733472)
  * debian/control: bump version to 3.9.5 (no changes needed)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Dec 2013 18:00:07 +0100

gcal (3.6.3-2) unstable; urgency=low

  * debian/rules: tidy file
  * debian/rules: install gcal.info* only in gcal-common
                  (Closes: #708481, #708399)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 May 2013 10:00:07 +0200

gcal (3.6.3-1) unstable; urgency=low

  * new upstream version
  * debian/control: remove DM-Upload-Allowed:
  * files from /usr/share/doc/examples now moved to
    /usr/share/doc/gcal-common/examples

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 May 2013 18:00:07 +0200

gcal (3.6.1-3) unstable; urgency=low

  * add debian/patches/gets.patch for eglibc-2.17 (Closes: #701394)
  * add description to patches
  * debian/rules: replace dh_clean -k by dh_prep
  * debian/rules: add support for hardening flags
  * debian/copyright: add correct versioned Format:-line
  * debian/control: bump version to 3.9.4 (no changes needed)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 12 Mar 2013 18:00:07 +0100

gcal (3.6.1-2) unstable; urgency=low

  * debian/rules: add real targets to build-arch and build-indep
                  according to lintian recommendation
  * debian/changelog: minor corrections
  * debian/control: dependency of quilt removed
  * debian/control: moved to dh 8

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Dec 2011 19:00:07 +0100

gcal (3.6.1-1) unstable; urgency=low

  * Imported Upstream version 3.6.1
  * build-arch and build-indep are needed to calm lintian
  * debian/copyright: updated and changed to dep5 format
  * debian/control: bump standard to 3.9.2, no changes
  * debian/rules: do not install NEWS as changelog

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 19 Sep 2011 18:00:00 +0200

gcal (3.6.0-1) unstable; urgency=low

  * new upstream version 3.6.0
  * all relevant debian patches are now included in upstream version
  * debian/control: Standards-Version changed to 3.9.0 (no changes needed)
  * debian/control: reworded text of long description (Closes: #529374)
  * debian/control: DM-Upload-Allowed added
  * switch to dpkg-source 3.0 (quilt) format
  * as man pages have been removed from upstream tar ball, old versions
    are "patched" into the tree
  * lintian override for misspelled word added: "Nam" is part of "Viet Nam"
    and not a misspelled "Name"
  * interpretation of LC_* variables has been reworked (Closes: #197469)
    According to the new upstream, this error should have been fixed.
  * patch added for implicit declared functions

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 01 Jul 2010 18:00:00 +0200

gcal (3.01.1-10) unstable; urgency=low

  * new maintainer (Closes: #465930)
  * debian/control: changed Standards-Version to 3.8.3 (no changes needed)
  * debian/rules: updated clean rules to remove gcal.* files under
    doc/{de,en}: these are directories so do rm -rf
  * split architecture independent data into gcal-common package
  * README.source added
  * changed all modifications in src files to patches
  * corrected data/dates/lotr: Sm8 -> Smaug (Ubuntu bug LP: #126022)
  * according to Austrian law All Souls day is no holiday (Closes: #337043)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Oct 2009 18:00:00 +0200

gcal (3.01.1-9) unstable; urgency=low

  * QA upload.
  * Remove -pg from CFLAGS in debian/rules. (Fixes FTBFS on GNU/Hurd).
  * Add watch file.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 05 May 2009 13:08:41 -0400

gcal (3.01.1-8) unstable; urgency=low

  * QA upload
  * debian/copyright: added year 2000, fixed spelling of upstream author
    (on request by the upstream author).

 -- Ralf Treinen <treinen@debian.org>  Mon, 30 Mar 2009 20:44:22 +0200

gcal (3.01.1-7) unstable; urgency=low

  * QA upload.
  * debian/control
    - bump Standards-Version to 3.8.0 (no changes needed)
    - better short description
    - added texinfo build-dep, needed to provide makeinfo
  * src/{hd-data2.c,hd-defs.h,hd-data.c}
    - fixed Czech holidays; thanks to Martin Mares for the report and patch;
      Closes: #210760
  * src/hd-data.c
    - removed non ASCII char
  * po/Makefile.in.in
    - added --from-code=iso-8859-1
  * debian/rules
    - added -D_GNU_SOURCE to CFLAGS to prevent FTBFS with glibc 2.8; thanks to
      Albert Damen from Ubuntu package for the hint;
    - removed template header
    - removed unneeded or commented dh_* calls
    - updated clean rules to remove gcal.* files under doc/{de,en} since they
      are regenerated

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 13 Aug 2008 20:22:00 +0200

gcal (3.01.1-6) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs. (Closes: #249668).
  * Remove $$(INC) from CFLAGS. (Closes: #476046).
  * Use pager as default pager command. (Closes: #266365).
    + Thanks to Albert Damen.
  * Fix German translations. (Closes: #313710).
    + Thanks to Jens Seidel for the patch.
  * All Saints Day on some states. (Close: #396378).
    + Thanks to Marc-Jano Knopp for the patch.
  * Fix typo in copyright and update FSF address.
  * Make clean not ignore errors.
  * Replace 'pwd' with $(CURDIR).
  * Move DH_COMPAT to compat and set to 5.
  * Remove unneeded old.rules file.
  * Fix hyphens used as options in manpage.
  * Bump debhelper build-depends to 5.
  * Bump Standards Version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Sat, 19 Apr 2008 09:37:15 -0400

gcal (3.01.1-5.1) unstable; urgency=low

  * NMU
  * Don't provide dir.gz and dir.old.gz after a rebuild (Closes: #249668).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 11 Jul 2004 22:02:42 +0200

gcal (3.01.1-5) unstable; urgency=low

  * doc/calendar.faq: removed from source package (Closes: Bug#104495)
    This file is not free, the license forbids the redistribution for profit.
    James Troup had already removed the file in version 2.40-4 of this
    package, in a particularly stupid move on my part I managed to miss the
    entry in the changelog and the copyright file when I updated the package
    to a new upstream release. I would like to take this opportunity to say
    I am very sorry for my mistake to James, the other Debian developers, and
    users of the testing and unstable distribution.
  * debian/copyright: James Troup's name and comments removed from the
    copyright file on his request.

 -- Edward Betts <edward@debian.org>  Fri, 13 Jul 2001 18:12:39 +0100

gcal (3.01-4) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.5
  * debian/copyright: added my name and cleaned up copyright
  * debian/rules: install info files correctly

 -- Edward Betts <edward@debian.org>  Thu, 12 Jul 2001 17:12:36 +0100

gcal (3.01-3) unstable; urgency=low

  * debian/rules: Build-Depends: libncurses5-dev (Closes: Bug#94832)

 -- Edward Betts <edward@debian.org>  Sun, 22 Apr 2001 05:22:39 -0600

gcal (3.01-2) unstable; urgency=low

  * data/Makefile.in: stop package builds from installing files in $(HOME)

 -- Edward Betts <edward@debian.org>  Sat, 21 Apr 2001 13:57:06 -0600

gcal (3.01-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: Bug#75506)
  * Recompiled with libncurses5 (Closes: Bug#93990)
  * Acknowledge NMUs (Closes: Bug#91163, Bug#91474)
  * data/dates/world: Changed date of Nikolaustag (Closes: Bug#78867)
  * debian/control: added Build-Depends: debhelper, libncurses5
  * debian/rules: changed to debhelper v3

 -- Edward Betts <edward@debian.org>  Sat, 21 Apr 2001 02:11:50 -0600

gcal (2.40-8.1) unstable; urgency=low

  * NMU
  * Made the FSSTND -> FHS transition. (Closes: #91163, #91474)
  * Upped Standards-Version to 3.5.2.

 -- Carlos Laviola <claviola@ajato.com.br>  Mon, 16 Apr 2001 01:43:20 -0400

gcal (2.40-8) unstable; urgency=low

  * Make sure binary-arch doesn't fail in trying to remove
    non-existant files.

 -- Ole J. Tetlie <olet@debian.org>  Sun,  2 Apr 2000 11:27:53 +0200

gcal (2.40-7) unstable; urgency=low

  * debian/rules: Don't install /usr/info/dir*

 -- Ole J. Tetlie <olet@debian.org>  Fri, 14 May 1999 19:34:45 +0200

gcal (2.40-6) unstable; urgency=low

  * debian/control: New maintainer.

 -- Ole J. Tetlie <olet@debian.org>  Mon, 26 Apr 1999 13:18:38 +0200

gcal (2.40-5) unstable; urgency=low

  * doc/en/texi/gcal.texi: spell check.

 -- James Troup <james@nocrew.org>  Sat, 30 Jan 1999 17:58:35 +0000

gcal (2.40-4) frozen unstable; urgency=low

  * debian/control (Standards-Version): updated to 2.5.0.0.
  * doc/calendar.faq: removed as it's not free.  (As a result the
    upstream source is no longer pristine)
  * debian/rules (binary-arch): install doc/GREG-REFORM into
    /usr/doc/gcal/.
  * configure.in: also accept makeinfo --version info which starts
    "makeinfo" rather than just "Makeinfo".

 -- James Troup <james@nocrew.org>  Fri,  6 Nov 1998 17:26:40 +0000

gcal (2.40-3) frozen unstable; urgency=low

  * debian/control (Standards-Version): updated to 2.4.1.0.
  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * Rebuilt with ncurses4.

 -- James Troup <james@nocrew.org>  Fri, 23 Oct 1998 16:37:44 +0100

gcal (2.40-2) unstable; urgency=low

  * Recompiled without regex0g (duh; the regex library is in libc6).
  * debian/control (Standards-Version): updated to 2.4.0.0.
  * debian/copyright: correct reference to now uncompressed GPL in
    /usr/doc/copyright.
  * debian/copyright: correct the FSF's address.
  * debian/rules: drop $(package) and use a literal string instead.
  * debian/rules: other minor cleanups.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat, 14 Feb 1998 12:17:04 +0000

gcal (2.40-1) unstable; urgency=low

  * Initial release.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 26 Nov 1997 02:13:19 +0000
